BSD_SIGNAL(3) | Library Functions Manual | BSD_SIGNAL(3)

# NAME

`bsd_signal` —
BSD version of signal(3)

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <signal.h>`

void (*
`bsd_signal`(int sig, void (*func)(int)))(int);

# DESCRIPTION

The `bsd_signal`() function provides a partially compatible interface for programs written to historical system interfaces.

# RETURN VALUES

The previous action is returned on a successful call. Otherwise, `SIG_ERR` is returned and the global variable errno is set to indicate the error.

# SEE ALSO

signal(3)

# STANDARDS

The `bsd_signal`() function conforms to IEEE Std 1003.1-2004 (“POSIX.1”). It was moved from X/Open to zbase in Issue 4 version 2. It first appeared in NetBSD 8.

June 4, 2016 | NetBSD 9.3